Subject: Re: [PATCH] Documentation/git-update-index.txt: Remove obsolete note

From: Jakob Pfender <[email-masked]>
Date: Thu, 31 Mar 2011 17:18:43 +0200

On 03/31/2011 02:15 PM, Nguyen Thai Ngoc Duy wrote:
 > On Wed, Mar 30, 2011 at 8:01 PM, Jakob 
Pfender<[email-masked]>  wrote:
 >> 8dcf39 (Prevent bogus paths from being added to the index) introduced a
 >> check for files beginning with '.', preventing path names such as
 >> `./file`, `dir/./file` or `dir/../file` from being added. This was
 >> reflected in the man page.
 >>
 >> d089eba (setup: sanitize absolute and funny paths in get_pathspec())
 >> removed this check without reflecting the change in the man page.
 >
 > Sounds good.
 >
 >>   <file>::
 >>         Files to act on.
 >> -       Note that files beginning with '.' are discarded. This includes
 >> -       `./file` and `dir/./file`. If you don't want this, then use
 >> -       cleaner names.
 >> -       The same applies to directories ending '/' and paths with '//'
 >> +       Note that directories ending in '/' and paths with '//' are
 >> +       discarded.
 >
 > Do you mean the slashes or the directories are discarded? Directories
 > are not, I believe.

Since we're talking about update-index, yes, directories are actually
discarded, as update-index only accepts files. Directories can be added
via git-add as git-add just passes the single files in the directory to
update-index.